# Method: apprecovery.cancel

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/cancel#try-it)

Cancel an already executing app recovery action. Note that this action changes status of the recovery action to CANCELED.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/appRecoveries/{appRecoveryId}:cancel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. Package name of the app for which recovery action cancellation is requested. |
| `appRecoveryId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. ID corresponding to the app recovery action. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`